package com.goafanti.common.dao;

import com.goafanti.common.model.TaskLog;
import com.goafanti.common.model.TaskLogExample;
import com.goafanti.order.bo.TaskLogBo;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TaskLogMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaskLog record);

    int insertSelective(TaskLog record);

    TaskLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaskLog record);

    int updateByPrimaryKey(TaskLog record);

    List<TaskLogBo> selectTaskLogList(Integer id);
}
